using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATMaintenance")]
public partial class Atmaintenance
{
    [Column(TypeName = "datetime")]
    public DateTime RunDate { get; set; }

    public int Type { get; set; }

    [StringLength(255)]
    public string ObjectName { get; set; } = null!;

    public int ItemCount { get; set; }

    public int Result { get; set; }

    [StringLength(255)]
    public string Error { get; set; } = null!;
}
